package dev.peerat.backend.userstories;

import java.io.File;

import dev.peerat.backend.Configuration;
import dev.peerat.backend.TestDatabaseRepository;

public class BaseUserStoriesTest {
	
	private Configuration config;
	private TestDatabaseRepository repo;
	
	public BaseUserStoriesTest(){}
	
	public void init() throws Exception{
		this.config = new Configuration("config-test.txt");
		this.repo = new TestDatabaseRepository(config, new File("database-schem.sql"));
		
		this.config.load();
	}
	
	public Configuration getConfig(){
		return this.config;
	}
	
	public TestDatabaseRepository getRepository(){
		return this.repo;
	}

}
